/*
 * Copyright (C) 2000-2005
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 */
 
package estella.lib;
import  estella.lib.*;

import  java.io.File;
import  java.lang.String;

/**
* Gerencia repositorio de arquivos
* @author Cesar Kallas
* @since 05/12/2005
*/
public class Repositorio
{
	public Repositorio(String caminho)
	{
		listaArquivos(new File(caminho));
	}
	
	/**
	* Lista todos arquivos (e arquivos dentro de subdiretorios) de um caminho passado
	* @param caminho diretorio inicial para busca de arquivos
	*/
	private void listaArquivos(File dir)
	{
		//System.out.println(indent + "Directory \"" + dir.getName() + "\":");
		String[] arquivos = dir.list();
		for (int i = 0; i < arquivos.length; i++) {
			// If the file is a  directory, list its contents
			// recursively.  Otherwise, just print its name.
			File arquivoAtual = new File(dir, arquivos[i]);
			if (arquivoAtual.isDirectory())
				listaArquivos(arquivoAtual);
			else
				System.out.println(dir.getName() + "\\" + arquivos[i] + "\t" + System.identityHashCode(arquivos[i]));
		}
	}
}
